<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [hackAnalyzeChance](./bitburner.ns.hackanalyzechance.md)

## NS.hackAnalyzeChance() method

Get the chance of successfully hacking a server.

**Signature:**

```typescript
hackAnalyzeChance(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of the target server. |

**Returns:**

number

The chance you have of successfully hacking the target server.

## Remarks

RAM cost: 1 GB

Returns the chance you have of successfully hacking the specified server.

This returned value is in decimal form, not percentage.

Like other basic hacking analysis functions, this calculation uses the current status of the player and server. To calculate using hypothetical server or player status, obtain access to the Formulas API and use [formulas.hacking.hackChance](./bitburner.hackingformulas.hackchance.md)<!-- -->.

